package xyz.myachin.saveto.ui.share.fake

import android.app.Activity
import android.content.Intent
import android.os.Bundle
import xyz.myachin.saveto.ui.share.manual.ManualShareActivity

class ActionViewActivity : Activity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        startActivity(intent.apply {
            action = Intent.ACTION_SEND
            setClassName(packageName, ManualShareActivity::class.java.name)
            putExtra(Intent.EXTRA_STREAM, data)
        })
        finish()
    }
}